
EclaireXL - Bug #66

Odd flash behaviour on new boards

05/26/2018 09:11 PM - foft

Status: Closed Start date: 05/26/2018

Priority: Urgent Due date:  

Assignee: foft % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

Ensure that the new flash chip is stable with the existing firmware strategy. It has some hybrid 64k/4k sector option or a 256k sector

option. From Panos' reports it seems to behave well when I treat it as a 256KB sector device and oddly when treated as a 64KB

sector device.

Datasheet here:

http://www.cypress.com/file/177961/download

Actual IC:

S25FL127SABMFV000

History

#1 - 05/28/2018 09:52 PM - foft

Gathering ids on other boards in case I need to switch on that: Flash_chip_by_board

#2 - 06/02/2018 08:27 PM - foft

Flashing a new PDM is very clear that the board is erasing in 64KB blocks. That does not explain the core corruption on saving settings though.

I'll set the block size to 64KB when spotting this ID and see how it does!

#3 - 07/22/2018 09:19 PM - foft

- Status changed from New to Closed

I've received my board a few months ago and am unable to reproduce. Working fine as far as I can tell with the 64KB flash size.

I'm guessing I'd provided Panos with a strange test core which we ended up flashing. No idea what it was doing!
